Bug 152745 - Linux Broadcom 5820 Cryptonet Driver Integer Overflow
Linux Broadcom 5820 Cryptonet Driver Integer Overflow
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-07-01 23:35 EDT by Dominic Hargreaves
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:25:58 EST
Integer overflow in the ubsec_keysetup function for Linux Broadcom 5820
cryptonet driver allows local users to cause a denial of service (crash) and
possibly execute arbitrary code via a negative add_dsa_buf_bytes variable, which
leads to a buffer overflow.

General consensus is that this should be removed, so I guess it's one for after
the release of 35.x.legacy

------- Additional Comments From jp107@damtp.cam.ac.uk 2004-07-02 04:31:52 ----

Isn't this a duplicate of 1804?

------- Additional Comments From dom@earth.li 2004-07-02 04:58:13 ----

*** This bug has been marked as a duplicate of 1804 ***

------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:25 -------

This bug previously known as bug 1810 at https://bugzilla.fedora.us/
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Note You need to log in before you can comment on or make changes to this bug.